Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"container_id": "<string>",
"path": "<string>",
"bytes": 123,
"created_at": 123,
"source": "<string>",
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Containers
Retrieve a file from a container
Retrieves metadata for a specific file in a container.
GET
/
v1
/
containers
/
{container_id}
/
files
/
{file_id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"container_id": "<string>",
"path": "<string>",
"bytes": 123,
"created_at": 123,
"source": "<string>",
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
The ID of the container
The ID of the file
Query Parameters
The provider of the container AI model provider identifier
Available options:
openai, azure, anthropic, bedrock, cohere, vertex, vllm, mistral, ollama, groq, sgl, parasail, perplexity, replicate, cerebras, gemini, openrouter, elevenlabs, huggingface, nebius, xai, runway, fireworks Response
Successful response
Response from retrieving a file from a container
The unique identifier for the file
The object type (always "container.file")
The ID of the container this file belongs to
The path of the file within the container
The size of the file in bytes
Unix timestamp of when the file was created
The source of the file
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?
⌘I

